
From: Pavel Machek <pavel@ucw.cz>

Variable used only for writing is bad idea.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/swsusp.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN kernel/power/swsusp.c~swsusp-kill-unused-variable kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-kill-unused-variable	2004-12-27 01:01:10.576359728 -0800
+++ 25-akpm/kernel/power/swsusp.c	2004-12-27 01:01:10.579359272 -0800
@@ -787,7 +787,6 @@ static int swsusp_alloc(void)
 
 int suspend_prepare_image(void)
 {
-	unsigned int nr_needed_pages;
 	int error;
 
 	pr_debug("swsusp: critical section: \n");
@@ -800,7 +799,6 @@ int suspend_prepare_image(void)
 	drain_local_pages();
 	count_data_pages();
 	printk("swsusp: Need to copy %u pages\n",nr_copy_pages);
-	nr_needed_pages = nr_copy_pages + PAGES_FOR_IO;
 
 	error = swsusp_alloc();
 	if (error)
_
